#%RAML 1.0 Library
usage: 
  All common response types...
types: 
  common-response:
    type: object
    properties: 
      response-message: string
  
    
resourceTypes: 
  common_response_types:
    description: Common response types for API
    get?:
      responses:              
        400:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> BAD REQUEST"
                }
        401:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "UNAUTHORIZED.. Need valid credentials to access the resource"
                }
        404:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> NOT FOUND"
                }
        500:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "INTERNAL SERVER ERROR"
                }
    post?:
      responses:
        201:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> CREATED"
                }
        304:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> NOT MODIFIED"
                }
        401:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "UNAUTHORIZED.. Need valid credentials to access the resource"
                }
        500:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "INTERNAL SERVER ERROR"
                }
    put?:
      responses:
        201:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> UPDATED"
                }
        304:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> NOT MODIFIED"
                }
        401:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "UNAUTHORIZED.. Need valid credentials to access the resource"
                }
        500:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "INTERNAL SERVER ERROR"
                }
    delete?:
      responses:
        404:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "<<resourcePathName | !singularize>> NOT FOUND"
                }
        401:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "UNAUTHORIZED.. Need valid credentials to access the resource"
                }
        500:
          body:
            application/json:
              type: common-response
              example: 
                {
                  "response-message" : "INTERNAL SERVER ERROR"
                }